"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactstrap = require("reactstrap");

var _lodash = require("lodash");

var _numeral = require("numeral");

var _numeral2 = _interopRequireDefault(_numeral);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var logo = require("./images/aculist-edge_logo.png");
var iSP = require("./images/iSP.gif");
var iPSFT = require("./images/iPSFT.gif");
var iDom = require("./images/iDom.gif");
var iCount = require("./images/iCount.gif");
var izip = require("./images/zip_icon.gif");
var icity = require("./images/city_icon.gif");
var icounty = require("./images/county_icon.gif");

var KPIWidget = function (_React$Component) {
  _inherits(KPIWidget, _React$Component);

  function KPIWidget() {
    _classCallCheck(this, KPIWidget);

    return _possibleConstructorReturn(this, (KPIWidget.__proto__ || Object.getPrototypeOf(KPIWidget)).apply(this, arguments));
  }

  _createClass(KPIWidget, [{
    key: "render",
    value: function render() {
      var props = this.props;

      var _props$widgetselectio = _extends({}, props.widgetselections),
          measure = _props$widgetselectio.measure,
          geographytype = _props$widgetselectio.geographytype,
          geographyvalue = _props$widgetselectio.geographyvalue,
          measurelabel = _props$widgetselectio.measurelabel,
          measuredata = _props$widgetselectio.measuredata;

      var title = props.title;
      var gt = geographytype.toLowerCase();
      var disclaimer = "Statistics based on sales over the last 90 days";
      var imageSrc = '';
      var widgetTitle = '';
      var measurelabelnew = measurelabel;
      if ((0, _lodash.isUndefined)(title)) {
        widgetTitle = gt == "zip" ? geographyvalue + " Zip Code" : gt == "city" ? "City of " + geographyvalue : gt == "area" ? "Area of " + geographyvalue : "" + geographyvalue;
        imageSrc = gt == "zip" ? "" + izip : gt == "city" ? "" + icity : "" + icounty;
      } //dirty solution, find alternate
      else if (title === 'swap') {

          widgetTitle = measurelabel;
          measurelabelnew = "";
          var ameasure = measure.toLowerCase();

          imageSrc = ameasure == "medsaleprice" ? "" + iSP : ameasure == "soldmeddom" ? "" + iDom : ameasure == "avgsalepricepersqft" ? "" + iPSFT : ameasure == "activecount" ? "" + iCount : "" + icounty;
        }

      return _react2.default.createElement(
        _reactstrap.Card,
        { key: (0, _lodash.uniqueId)('kpiWidgetCard-'), className: "kpiWidget" },
        _react2.default.createElement(
          _reactstrap.CardBlock,
          { className: "kpiWidgetBody" },
          _react2.default.createElement(
            _reactstrap.Row,
            null,
            _react2.default.createElement(
              _reactstrap.Col,
              { className: "col-12 my-2 title-col" },
              _react2.default.createElement(
                _reactstrap.CardTitle,
                { className: "kpiWidgetTitle text-center font-weight-normal" },
                widgetTitle
              )
            ),
            _react2.default.createElement(
              _reactstrap.Col,
              { className: "col-12 my-2 media-col" },
              _react2.default.createElement(
                _reactstrap.Media,
                { middle: true },
                _react2.default.createElement(_reactstrap.Media, { className: "mx-auto d-block kpiWidgetMedia", object: true, src: imageSrc })
              )
            ),
            _react2.default.createElement(
              _reactstrap.Col,
              { className: "col-12 mt-2 statsTitle-col" },
              _react2.default.createElement(
                _reactstrap.CardTitle,
                { className: "font-weight-bold text-center" },
                measuredata
              )
            ),
            _react2.default.createElement(
              _reactstrap.Col,
              { className: "col-12 statsSubtitle-col mb-3" },
              _react2.default.createElement(
                _reactstrap.CardSubtitle,
                { className: "text-center" },
                measurelabelnew
              )
            ),
            _react2.default.createElement(
              _reactstrap.Col,
              { className: "col-12 statsDisclaimer-col mt-3" },
              _react2.default.createElement(
                _reactstrap.CardSubtitle,
                { className: "text-center small" },
                disclaimer
              )
            ),
            _react2.default.createElement(
              _reactstrap.Col,
              { className: "col-12 statsAttribution-col mt-1 text-center" },
              _react2.default.createElement(
                _reactstrap.Media,
                { right: true, href: "http://aculist.com/", target: "_blank", className: "attribution-link text-muted" },
                _react2.default.createElement(
                  "span",
                  { className: "attribution-tagLine" },
                  "Powered by:"
                ),
                _react2.default.createElement(_reactstrap.Media, { className: "pl-2 kpiWidgetPoweredLogo", object: true, src: logo })
              )
            )
          )
        )
      );
    }
  }]);

  return KPIWidget;
}(_react2.default.Component);

exports.default = KPIWidget;
module.exports = exports["default"];